PETSc version 3.15.5
Fix/Edit manual page

# PetscSynchronizedFlush

Flushes to the screen output from all processors involved in previous PetscSynchronizedPrintf()/PetscSynchronizedFPrintf() calls.

### Synopsis

    PetscErrorCode PetscSynchronizedFlush(MPI_Comm comm,FILE *fd)

Collective

### Input Parameters

| comm | - the communicator
| fd | - the file pointer (valid on process 0 of the communicator)

### Notes

If PetscSynchronizedPrintf() and/or PetscSynchronizedFPrintf() are called with different MPI communicators there must be an intervening call to PetscSynchronizedFlush() between the calls with different MPI communicators.

From Fortran pass PETSC_STDOUT if the flush is for standard out; otherwise pass a value obtained from PetscFOpen()

### See Also

PetscSynchronizedPrintf(), PetscFPrintf(), PetscPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/sys/tutorials/ex2.c.html
src/sys/tutorials/ex2f.F90.html
src/vec/vec/tutorials/ex9.c.html
src/vec/is/sf/tutorials/ex1.c.html
src/dm/tutorials/ex5.c.html
src/dm/tutorials/ex51.c.html
src/ksp/pc/tutorials/ex3.c.html
src/ts/tutorials/ex10.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages